# Uses of Class
jdk.jshell.spi.ExecutionControl.ClassInstallException

Packages that use ExecutionControl.ClassInstallException
Package
Description
jdk.jshell.execution
Provides implementation support for building JShell execution engines.
jdk.jshell.spi
Defines the Service Provider Interface for pluggable JShell execution engines.

## Uses of ExecutionControl.ClassInstallException in jdk.jshell.execution

Methods in jdk.jshell.execution that throw ExecutionControl.ClassInstallException
Modifier and Type
Method
Description
`void`
DirectExecutionControl.`load​(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
LoaderDelegate.`load​(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to load new classes.
`void`
StreamingExecutionControl.`load​(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
DirectExecutionControl.`redefine​(ExecutionControl.ClassBytecodes[] cbcs)`
`void`
JdiExecutionControl.`redefine​(ExecutionControl.ClassBytecodes[] cbcs)`
Redefine the specified classes.
`void`
RemoteExecutionControl.`redefine​(ExecutionControl.ClassBytecodes[] cbcs)`
Redefine processing on the remote end is only to register the redefined classes
`void`
StreamingExecutionControl.`redefine​(ExecutionControl.ClassBytecodes[] cbcs)`

## Uses of ExecutionControl.ClassInstallException in jdk.jshell.spi

Methods in jdk.jshell.spi that throw ExecutionControl.ClassInstallException
Modifier and Type
Method
Description
`void`
ExecutionControl.`load​(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to load new classes.
`void`
ExecutionControl.`redefine​(ExecutionControl.ClassBytecodes[] cbcs)`
Attempts to redefine previously loaded classes.